# eric4.KdeQt.KQPrinter

Compatibility module to use the KDE Printer instead of the Qt Printer.

### Global Attributes

Color
FirstPageFirst
GrayScale
HighResolution
Landscape
LastPageFirst
Portrait
PrinterResolution
ScreenResolution

### Classes

__kdeKQPrinter | Compatibility class to use the Qt Printer.
__qtKQPrinter | Compatibility class to use the Qt Printer.

### Functions

KQPrinter | Public function to instantiate a printer object.

## __kdeKQPrinter

Compatibility class to use the Qt Printer.

### Derived from

QPrinter

### Class Attributes

None

### Class Methods

None

### Methods

None

### Static Methods

None

Up

## __qtKQPrinter

Compatibility class to use the Qt Printer.

### Derived from

QPrinter

### Class Attributes

None

### Class Methods

None

### Methods

None

### Static Methods

None

Up

## KQPrinter

KQPrinter(mode = QPrinter.ScreenResolution)

Public function to instantiate a printer object.

mode
  printer mode (QPrinter.PrinterMode)

Returns:
  reference to the printer object

Up